Bug 1251443 - hg plugin hggit not working in Fedora 22
hg plugin hggit not working in Fedora 22
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: hg-git (Show other bugs)
22
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-07 06:01 EDT by Dr I JOrmshaw
Modified: 2015-09-18 16:51 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.8.2-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-18 14:31:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dr I JOrmshaw 2015-08-07 06:01:17 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Dr I JOrmshaw 2015-08-07 06:05:15 EDT
** Unknown exception encountered with possibly-broken third-party extension hggit
** which supports versions 3.1 of Mercurial.
** Please disable hggit and try your action again.
** If that fixes the bug please report it to https://bitbucket.org/durin42/hg-git/issues
** Python 2.7.10 (default, Jul  5 2015, 14:15:43) [GCC 5.1.1 20150618 (Red Hat 5.1.1-4)]
** Mercurial Distributed SCM (version 3.3.3)
** Extensions loaded: hgk, hggit
Traceback (most recent call last):
  File "/usr/bin/hg", line 43, in <module>
    mercurial.dispatch.run()
  File "/usr/lib64/python2.7/site-packages/mercurial/dispatch.py", line 28, in run
    sys.exit((dispatch(request(sys.argv[1:])) or 0) & 255)
  File "/usr/lib64/python2.7/site-packages/mercurial/dispatch.py", line 71, in dispatch
    ret = _runcatch(req)
  File "/usr/lib64/python2.7/site-packages/mercurial/dispatch.py", line 140, in _runcatch
    return _dispatch(req)
  File "/usr/lib64/python2.7/site-packages/mercurial/dispatch.py", line 863, in _dispatch
    cmdpats, cmdoptions)
  File "/usr/lib64/python2.7/site-packages/mercurial/dispatch.py", line 624, in runcommand
    ret = _runcommand(ui, options, cmd, d)
  File "/usr/lib64/python2.7/site-packages/mercurial/dispatch.py", line 954, in _runcommand
    return checkargs()
  File "/usr/lib64/python2.7/site-packages/mercurial/dispatch.py", line 925, in checkargs
    return cmdfunc()
  File "/usr/lib64/python2.7/site-packages/mercurial/dispatch.py", line 860, in <lambda>
    d = lambda: util.checksignature(func)(ui, *args, **cmdoptions)
  File "/usr/lib64/python2.7/site-packages/mercurial/util.py", line 711, in check
    return func(*args, **kwargs)
  File "/usr/lib64/python2.7/site-packages/mercurial/commands.py", line 5706, in status
    opts.get('subrepos'))
  File "/usr/lib64/python2.7/site-packages/mercurial/localrepo.py", line 1572, in status
    listsubrepos)
  File "/usr/lib64/python2.7/site-packages/mercurial/context.py", line 312, in status
    listunknown)
  File "/usr/lib64/python2.7/site-packages/mercurial/context.py", line 1545, in _buildstatus
    s = self._dirstatestatus(match, listignored, listclean, listunknown)
  File "/usr/lib64/python2.7/site-packages/mercurial/context.py", line 1514, in _dirstatestatus
    listclean, listunknown)
  File "/usr/lib64/python2.7/site-packages/mercurial/dirstate.py", line 858, in status
    full=full).iteritems():
  File "/usr/lib64/python2.7/site-packages/mercurial/dirstate.py", line 695, in walk
    ignore = self._ignore
  File "/usr/lib64/python2.7/site-packages/mercurial/scmutil.py", line 1039, in __get__
    entry.obj = self.func(obj)
  File "/usr/lib/python2.7/site-packages/hggit/gitdirstate.py", line 100, in _ignore
    fns = self._finddotgitignores()
  File "/usr/lib/python2.7/site-packages/hggit/gitdirstate.py", line 164, in _finddotgitignores
    work = [d for d in work if not dirignore(d)]
  File "/usr/lib64/python2.7/site-packages/mercurial/dirstate.py", line 570, in _dirignore
    for p in scmutil.finddirs(f):
  File "/usr/lib64/python2.7/site-packages/mercurial/scmutil.py", line 1105, in finddirs
    pos = path.rfind('/')
AttributeError: 'tuple' object has no attribute 'rfind'
Comment 2 Dr I JOrmshaw 2015-08-07 06:15:13 EDT
Typing hs status in a hg repo with a git submodule causes the above error


Version-Release number of selected component (if applicable):

hg-git.noarch    0.7.0-1.fc22
mercurial.x86_64 3.3.3-1.fc22

Happens every time with hggit enabled
Never happens without hggit being enabled


both

[extensions]
hggit = /usr/lib/python2.7/site-packages/hggit

and

[extensions]
hggit =

cause the problem, when in ~/.hgrc
Comment 3 Fedora Update System 2015-09-08 19:13:56 EDT
hg-git-0.8.2-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15408
Comment 4 Fedora Update System 2015-09-08 19:13:56 EDT
hg-git-0.8.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15409
Comment 5 Fedora Update System 2015-09-09 22:07:42 EDT
hg-git-0.8.2-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update hg-git'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15408
Comment 6 Fedora Update System 2015-09-10 01:51:54 EDT
hg-git-0.8.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update hg-git'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15409
Comment 7 Dr I JOrmshaw 2015-09-10 04:37:08 EDT
The issue has been resolved on my system
Comment 8 Fedora Update System 2015-09-18 14:31:05 EDT
hg-git-0.8.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-09-18 16:50:56 EDT
hg-git-0.8.2-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.